# Class CommandListener

java.lang.Object
org.apache.zookeeper.server.controller.CommandListener

public class CommandListener extends Object
An HTTP server listening to incoming controller commands sent from CommandClient (or any of your favorite REST client ) and dispatching the command to the ZooKeeperServerController for execution.

## Constructor Summary

Constructors
Constructor
Description
`CommandListener(ZooKeeperServerController controller, ControllerServerConfig config)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommandListener

public CommandListener(ZooKeeperServerController controller, ControllerServerConfig config)

## Method Details

### close

public void close()